Как установить STREAMS в Linux?

Я искал в Google, но не нашел ничего полезного. Теперь я использую SUSE, как я могу установить LiS на свой компьютер?

Я надеюсь на ссылку для скачивания.

  • Как использовать sed для управления потоковым потоком?
  • Не показывайте вывод подзаголовка
  • Поглощение потока с продолжением, если одна ветвь ломается
  • Как работают трубы и бесконечные потоки?
  • Как настроить «прокси-сервер USB» для / dev / ttyUSB0 по сети?
  • Поток аудио от Linux до Raspbmc
  • Как хранить бесконечный поток в файл?
  • Как каналы ввода / вывода реализованы в ядре Linux?
  • One Solution collect form web for “Как установить STREAMS в Linux?”

    Из статьи Википедии о STREAMS :

    выдержка

    • Ядро Linux не включает функции STREAMS. Разработчики ядра считают это технически неадекватным, а уровни совместимости в Linux для других операционных систем как можно раньше конвертируют операции STREAMS в сокеты. 14
      • LiS (Linux STREAMS) добавляет функциональность STREAMS в Linux 15 , 16
      • OpenSS7 предлагает Fast STREAMS для Linux. [17]

    OpenSS7

    Если вы используете дистрибутив на основе Red Hat, OpenSS7 предоставляет RPM для STREAMS, поэтому его нужно будет тривиально, по крайней мере, установить.

    LiS

    Я также наткнулся на этот URL, озаглавленный: Введение в LiS . Кажется, эта страница является тем, что вы ищете. Он включает ссылки для загрузки LiS, а также инструкции по установке.

    • Загрузки LiS
    • Инструкция по установке

    Кажется довольно простым, чтобы установить его. Вам понадобятся такие инструменты, как gcc , autotest , make и т. Д. В зависимости от вашего дистрибутива их должно быть достаточно легко достать.

    Шаги по его установке:

     $ cd /usr/src/LiS-2.16 (Or wherever you installed the files) $ make $ make install 

    Похоже, эти шаги предполагают, что вы используете root при выполнении установки. Я настоятельно рекомендую вам ознакомиться с руководством по установке LiS . Он охватывает установку и настройку программного обеспечения.

    32-битная и 64-разрядная

    Начиная с версии 2.19.2 поддержка 64-битной поддержки не поддерживается. Так что просто нужно знать.

    ОБНОВЛЕНИЕ # 1

    Выкапывая больше на сайт gcom.com, кажется, что они прекратили поддержку LiS.

    выдержка

    Версия LiS-2.18, описанная в этой документации, является окончательной версией LiS, которая будет опубликована на FTP-сайте Gcom. Возможно, что другие в сообществе LiS могут организовать метод обслуживания для этого пакета. Чтобы быть в курсе событий в этой области, подписаться на дискуссионную группу LiS и следить за объявлениями.

    Gcom больше не поддерживает LiS для использования с продуктами, отличными от Gcom. Пожалуйста, обратитесь к поставщику программного обеспечения / оборудования для поддержки LiS. Если вас интересуют полные протокольные решения для Linux, обратитесь к sales@gcom.com.

    Больше копания приводит к этому URL, который имеет LiS 2.19.0 . Я смог загрузить его успешно, и tarball кажется неповрежденным.

    ПРИМЕЧАНИЕ . Вышеприведенный URL-адрес был выведен из этого технологического решения IBM под названием « Где получить LiS (потоки Linux) .

    Linux Fast-STREAMS проект?

    Я нашел эту заметку на сайте openss7, на странице под названием: Linux STREAMS (LiS) .

    выдержка

    Примечание. Исходный пакет LiS от GCOM больше не поддерживается ни GCOM, ни OpenSS7 Project: вместо этого используйте пакет FastSS STREAMS OpenSS7 Linux http://www.openss7.org/STREAMS.html .

    Конечно, приведенный выше URL-адрес сломан, я смог найти эту страницу проекта Fast-STREAMS на странице проекта openss7 здесь, под названием Linux Fast-STREAMS .

    Продолжая свою экспедицию на сайте openss7, я нашел эту страницу под названием: Linux Fast-STREAMS (потоки) . На этой странице были указаны как ссылки на устаревший проект LiS, так и новый проект Fast-STREAMS, который, по-видимому, является просто вызовом потоков. Эта ссылка на последнюю версию, 0.9.2.4 потоков, включает в себя архивы, исходные RPMS и двоичные RPMS.

    Эта страница, похоже, является тем, что вы ищете, хотя пакеты предоставляются для CentOS 5.2, они могут быть перестроены для CentOS 6.x.

    Linux и Unix - лучшая ОС в мире.